Loading...
Searching...
No Matches
casacore::BFEngineMask Class Reference
tables package (libcasa_tables) » DataMan_module » DataMan_module_internal_classes

More...

`#include <BitFlagsEngine.h>`

## Public Member Functions

| BFEngineMask (uInt mask=0xffffffff)
| Form the mask as given.
| BFEngineMask (const Array< String > &keys, uInt defaultMask)
| Form the mask from the given keywords defining the bits.
void | makeMask (const TableColumn &column)
| Make the mask from the given keywords defining the bits.
void | fromRecord (const RecordInterface &spec, const TableColumn &column, const String &prefix)
| Form the read mask from the specification.
void | toRecord (RecordInterface &spec, const String &prefix) const
| Store the info in a Record.
uInt | getMask () const
| Get the mask.
const Array< String > & | getKeys () const
| Get the mask keywords.

## Private Attributes

Array< String > | itsMaskKeys
uInt | itsMask

## Detailed Description

Non-templated Helper class to handle the mask.

### Intended use:

Internal

Definition at line 39 of file BitFlagsEngine.h.

## Constructor & Destructor Documentation

## BFEngineMask() [1/2]

casacore::BFEngineMask::BFEngineMask | ( | uInt | mask = 0xffffffff | ) |

explicit

Form the mask as given.

References casacore::mask().

## BFEngineMask() [2/2]

casacore::BFEngineMask::BFEngineMask | ( | const Array< String > & | keys,
|  | uInt | defaultMask )

Form the mask from the given keywords defining the bits.

## Member Function Documentation

## fromRecord()

void casacore::BFEngineMask::fromRecord | ( | const RecordInterface & | spec,
|  | const TableColumn & | column,
|  | const String & | prefix )

Form the read mask from the specification.

If keywords are given, the mask is formed from them.

References casacore::RecordInterface().

## getKeys()

const Array< String > & casacore::BFEngineMask::getKeys | ( |  | ) | const

inline

Get the mask keywords.

Definition at line 63 of file BitFlagsEngine.h.

References itsMaskKeys.

## getMask()

uInt casacore::BFEngineMask::getMask | ( |  | ) | const

inline

Get the mask.

Definition at line 59 of file BitFlagsEngine.h.

References itsMask.

## makeMask()

void casacore::BFEngineMask::makeMask | ( | const TableColumn & | column | ) |

Make the mask from the given keywords defining the bits.

## toRecord()

void casacore::BFEngineMask::toRecord | ( | RecordInterface & | spec,
|  | const String & | prefix ) const

Store the info in a Record.

References casacore::RecordInterface().

## Member Data Documentation

## itsMask

uInt casacore::BFEngineMask::itsMask

private

Definition at line 68 of file BitFlagsEngine.h.

Referenced by getMask().

## itsMaskKeys

Array<String> casacore::BFEngineMask::itsMaskKeys

private

Definition at line 67 of file BitFlagsEngine.h.

Referenced by getKeys().

The documentation for this class was generated from the following file:

- tables/DataMan/BitFlagsEngine.h